Page MenuHomePhabricator

Apply modernize-use-default to llvm.
AcceptedPublic

Authored by angelgarcia on Oct 20 2015, 5:36 AM.

Details

Reviewers
klimek
bkramer
Summary

Replace empty bodies of default constructors and destructors with '= default'.

Manually remove an extra semicolon in lib/Target/Mips/MipsOptionRecord.h:33.

Diff Detail

Event Timeline

angelgarcia retitled this revision from to Apply modernize-use-default to llvm..
angelgarcia updated this object.
angelgarcia added a reviewer: klimek.
angelgarcia added subscribers: alexfh, cfe-commits.

+benjamin, who has been doing those changes lately...

bkramer accepted this revision.Oct 27 2015, 11:43 AM
bkramer edited edge metadata.

Two minor comments, otherwise looks good:

  1. beware of the GCC 4.7 issues and trivial class initializer issues we hit with this kind of changes earlier.
  2. I prefer to leave utils/unittest/googletest alone as it's imported from google code. Changing it makes merging upstream changes harder.
  3. Please leave the comments inside empty constructors or destructors.
This revision is now accepted and ready to land.Oct 27 2015, 11:43 AM

Looks like patch was not committed.

dsanders removed a subscriber: dsanders.Sep 27 2016, 3:16 AM